Page MenuHomePhabricator

Redirect PageProp should always be hoisted to the top of the wikitext
Closed, ResolvedPublic

Description

When #REDIRECT[[Target]] appears in the wikitext but on the first line it will render as a list and not trigger the redirect functionality. While clients to probably keep the <link rel="mw:PageProp/redirect" stays at the top of the document, Parsoid should also handle cases where it gets moved.

Currently

<p>Foo</p>
<link rel="mw:PageProp/redirect" href="./Bar">

doesn't survive a round-trip.

Event Timeline

Esanders created this task.Feb 19 2016, 9:47 AM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 19 2016, 9:47 AM

See the parserTests "New redirect".

Quite...

# FIXME: Should hoist the redirect to the top of the page and ensure there
# is only one.
Arlolra triaged this task as Normal priority.Feb 24 2016, 11:36 PM
intgr added a subscriber: intgr.Jun 8 2017, 2:10 PM

Change 357917 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] T127421: Hoist redirect to the top of the wikitext

https://gerrit.wikimedia.org/r/357917

Change 357917 merged by jenkins-bot:
[mediawiki/services/parsoid@master] T127421: Hoist redirect to the top of the wikitext

https://gerrit.wikimedia.org/r/357917

Arlolra closed this task as Resolved.Jun 13 2017, 9:04 PM
Arlolra claimed this task.